import { css } from '@microsoft/fast-element';
export const DesignSystemPreviewStyles = css `
  :host {
    background: var(--fill-color);
    color: var(--neutral-foreground-rest);
    flex-direction: column;
    flex: 1;
  }

  .wrapper {
    background: var(--fill-color);
    display: flex;
  }

  .column {
    flex: 1;
    padding: calc(var(--base-horizontal-spacing-multiplier) * 3px);
  }

  .row {
    display: flex;
  }

  .padded {
    padding: calc(var(--base-horizontal-spacing-multiplier) * 3px) 0;
  }

  alpha-button,
  alpha-flipper {
    margin-right: calc(var(--base-horizontal-spacing-multiplier) * 2px);
  }

  alpha-progress-ring {
    margin: 0;
  }

  alpha-accordion,
  alpha-text-field {
    width: 100%;
  }

  zero-design-system-provider {
    display: inline;
  }
`;
